> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List a chat's held actions

> Returns the actions the AI held for confirmation in a chat session, oldest first, each as it stands now: a chat restored after a reload shows them from this.



## OpenAPI

````yaml get /ai-agent/actions
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /ai-agent/actions:
    get:
      tags:
        - AI
      summary: List a chat's held actions
      description: >-
        Returns the actions the AI held for confirmation in a chat session,
        oldest first, each as it stands now: a chat restored after a reload
        shows them from this.
      operationId: aiListActions
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: sessionId
          in: query
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        toolName:
                          type: string
                        status:
                          type: string
                          enum:
                            - pending
                            - running
                            - done
                            - failed
                            - declined
                            - withdrawn
                            - expired
                        preview:
                          type: object
                          properties:
                            title:
                              type: string
                            documents:
                              type: array
                              items:
                                type: string
                            workspace:
                              type: string
                            recipients:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  email:
                                    type: string
                                  gets:
                                    type: string
                                required:
                                  - email
                                  - gets
                            message:
                              type: string
                          required:
                            - title
                            - recipients
                        outcome:
                          type: object
                          additionalProperties: {}
                      required:
                        - id
                        - toolName
                        - status
                        - preview
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '401':
          description: 401 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.